Loading...
Searching...
No Matches
PointOwnershipData< T > Struct Template Reference

Information on the ownership of points distributed across processes. More...

`#include <utils.h>`

## Public Attributes

std::vector< int > | src_owner
std::vector< int > | dest_owners
| Ranks that sent dest_points to current process.
std::vector< T > | dest_points
| Points that are owned by current process.
std::vector< std::int32_t > | dest_cells

## Detailed Description

template<std::floating_point T>
struct dolfinx::geometry::PointOwnershipData< T >

Information on the ownership of points distributed across processes.

Template Parameters

  T | Mesh geometry floating type.

## Member Data Documentation

## dest_cells

template<std::floating_point T>

std::vector<std::int32_t> dest_cells

Cell indices (local to process) where each entry of dest_points is located

## src_owner

template<std::floating_point T>

std::vector<int> src_owner

Ranks owning each point sent into ownership determination for current process

The documentation for this struct was generated from the following file:

- /build/fenics-dolfinx-Vk5o25/fenics-dolfinx-0.10.0.post5/cpp/dolfinx/geometry/utils.h